function [strout] = sentences_save (filename, data)
% Ulozi vetu DATA do souboru FILENAME
%
% Data musi byt pole struktur {6x1}xN
%
% W{1, 1} - signal vety o rozmerech N x 1
% W{2, 1} - striktura, ktera obsahuje nazvy slov tedy WORD{i,1} = SLOVO_I
% W{3, 1} - struktura ktera obsahuje struktury fonemu.. x{i}{j}, kde i je i-te slovo a j je j-ty fonem i-teho slova (je to v podstate dvourozmerne pole)
% W{4, 1} - pole indexu pcatku slov
% W{5, 1} - pole indexu koncu slov
% W{6, 1} - vzorkovaci frekvence (z timitu je to u vsech zaznamu 16 000)

fid = fopen(filename, 'w');
fprintf(fid, '%i\n', size(data, 2));
fclose(fid);
tic;

for i=1:size(data, 2)
    
    if mod(i, 20)==0
        disp([num2str(i/size(data, 2)*100) '% ' num2str(toc) 's']);
    end
    
    str = sentences_save_string(data(:, i));
    fid = fopen(filename, 'a+');
    fprintf(fid, '%s', str);
    fclose(fid);

end




end